#include "DxLib.h"
#include "cursor.h"
#include "main.h"
#include "keyboard.h"

static int m_Image;

//J[\
void Cursor_Init(){
	m_Image = LoadGraph("cursor.png", TRUE);
	MainData.Cursor_x = 0;
	MainData.Cursor_y = 0;
}

//J[\ړ֐
void Cursor_Update(){
	int kx = MainData.Cursor_x;
	int ky = MainData.Cursor_y;
	if (Keyboard_Get(KEY_INPUT_LEFT) == 1) { kx--; }
	if (Keyboard_Get(KEY_INPUT_RIGHT) == 1) { kx++; }
	if (Keyboard_Get(KEY_INPUT_UP) == 1) { ky--; }
	if (Keyboard_Get(KEY_INPUT_DOWN) == 1) { ky++; }
	if ((0 <= kx && kx <= 2) && (0 <= ky && ky <= 2)){
		MainData.Cursor_x = kx;
		MainData.Cursor_y = ky;
	}
}

//J[\`֐
void Cursor_Draw(){
	DrawGraph(MainData.Cursor_x * MAPCHIP_SIZE, MainData.Cursor_y * MAPCHIP_SIZE, m_Image, TRUE);
}
